## slocate-3.1.tar.gz

=== Makefile ===
all: 
	make -C src
install:
	make -C src install
	install -d -m 0755 /usr/local/man/man1
	install -m 0644 -o root -g root doc/slocate.1 /usr/local/man/man1
	
uninstall:
	make -C src uninstall
	rm -f /usr/local/man/man1/slocate.1

clean:
	make -C src clean

debclean:
	fakeroot debian/rules clean

=== src/Makefile ===
OBJS=slocate.o cmds.o conf.o utils.o
HEADERS=slocate.h cmds.h conf.h utils.h
	
CFLAGS=-Wall -Wshadow
CFLAGS+=-O2
#CFLAGS+=-g3
#LDFLAGS+=-lefence

PROG=slocate
CC=gcc

all: $(OBJS) $(MOD_OBJS)
	$(CC) $(LDFLAGS) -o $(PROG) $(OBJS) $(MOD_OBJS)

%.o: %.c $(HEADERS)
	$(CC) -c $(CFLAGS) -o $@ $<

install:
	-groupadd slocate
	install -m 2755 -o root -g slocate slocate /usr/local/bin/
	
uninstall:
	rm -f /usr/local/bin/slocate
	
clean:
	rm -f $(PROG) $(OBJS)

debclean:
	fakeroot debian/rules clean

.PHONY: install clean debclean

=== debian/changelog ===
slocate (3.1-1) unstable; urgency=low

  * User defines database paths were not being parsed correctly. Thanks to
    Vincent Lefevre <vincent@vinc17.org> for finding it and provding a patch.
    Closes: #346341
  * This was the only bug reported in the 2 months since the last public beta
    release. Moving it to v3.1 Stable.

 -- Kevin Lindsay <klindsay@debian.org>  Tue,  7 Mar 2006 20:31:08 -0800

slocate (3.0.beta.r3-1) unstable; urgency=low

  * The environment variable LOCATE_PATH was not being used properly. It will
    now be used the same as in v2.7. Closes: #345646
  * slocate was returning non zero for -h, --help, -V and --version. It now
    returns zero.
  * PRUNEFS was being ignored in /etc/updatedb.conf
  * Added documentation describing how /etc/updatedb.conf is used and what
    is supported to the README and the slocate.1 and updatedb.1 man pages.
  * README.debian was removed in 3.0.beta.r1-1 to close bug 272131, but it was
    accidently readded in 3.0.beta.r2-1. I now have a use for it, so it is now
    here to stay.

 -- Kevin Lindsay <klindsay@debian.org>  Fri,  6 Jan 2006 09:36:28 -0800

slocate (3.0.beta.r2-1) unstable; urgency=low

  * When upgrading from 2.7-4, the existing database will be removed due to
    a change in the format. This was causing slocate to fail until the database
    was recreated. Closes: #344478
  * Reformatted the 'copyright' file as expected. Closes: #345043
  * Removed debian/ directory from original source.
  * Added fix to compensate for default unsigned chars on PPC. Closes: #345171
  * Fixed segfault due to 0 length char array. oops. Closes: #346072
  * Fixed a bug where dangling links were ignored. Closes: #345026

 -- Kevin Lindsay <klindsay@debian.org>  Thu,  5 Jan 2006 15:04:47 -0800

slocate (3.0.beta.r1-1) unstable; urgency=low

  * New release. 3.0 beta r1. This is a complete redesign/rewrite.
  * Closes: #300760, #159235, #300778, #338652, #217608, #324951, #266530
  * Closes: #271695, #272131
  * Closes: #274538 . updatedb will not print an error message if no database
    exists.
  * Closes: #296033 . Renamed DEBUG to SL_DEBUG.
  * Closes: #229198
  
 -- Kevin Lindsay <klindsay@debian.org>  Wed, 19 Dec 2005 21:54:52 -0800

slocate (2.7-4) unstable; urgency=high

  * Added a case to handle broken diversion. /usr/bin/locate and
    /usr/bin/updatedb must be symlinks to /usr/bin/slocate. In the
    case that they are not, the removal of the diversion fails.
    A check is done to detect the diversion and forcefully removes
    /usr/bin/locate and /usr/bin/updatedb before diverting the old
    findutils binaries back.
    (closes: #270762)

 -- Kevin Lindsay <klindsay@debian.org>  Tue, 14 Sep 2004 05:22:24 +0000

slocate (2.7-3) unstable; urgency=high

  * 'slocate' sgid privileges are now dropped when searching databases that
     are not apart of the 'slocate' group. This will prevent malicious user
     supplied databases from elevating user access to the 'slocate' group.
     See CAN-2003-0848, (closes: #226103)
  * Changed diversion /etc/cron.daily.find.notslocate to
    /etc/cron.daily/find.notslocate (closes: #234563)
  * I also made the database creation feature drop privileges so that the
    SGID binary can't chown the group of the database to 'slocate' unless
    the user has explicit access.
  * Added a patch which caused LOCATE_PATH to be ignored when '-d' was used,
    and vice versa. This also fixed an off by 1 overflow bug.

 -- Kevin Lindsay <klindsay@debian.org>  Tue,  7 Sep 2004 03:20:42 +0000

slocate (2.7-2) unstable; urgency=low

  * Closing ITA. (closes: #194037)
  * Removed diverted /etc/cron.daily/find.notslocate out of the cron.daily
    directory so that multiple copies of updatedb are not run.
    (closes: #210845)
  * The diversion handling has been changed since this bug so I will close
    it and if the problem persists, please reopen. (closes: #132284)
  * Updated description. (closes: #185907)
  * slocate group will now be added as a system group on new installs. 
    (closes: #203885)
  * Fixed updatedb manpage. (closes: #152770)

 -- Kevin Lindsay <klindsay@debian.org>  Tue, 30 Dec 2003 21:54:56 +0000

slocate (2.7-1) unstable; urgency=high

  * Non-maintainer upload
  * New upstream version
  * Fixes buffer overflow causing segfault. (closes: #179338)

 -- Kevin Lindsay <klindsay@debian.org>  Mon, 17 Feb 2003 23:59:39 +0000

slocate (2.6-1.4) unstable; urgency=low

  * Non-maintainer upload
  * Handle long filenames. (Patch from David D. Kilzer, closes: #92454)
  * debian/rules (clean): Use distclean, and remove config.h too.
  
 -- Gergely Nagy <algernon@debian.org>  Mon,  2 Sep 2002 00:56:07 +0200

slocate (2.6-1.3) unstable; urgency=low

  * A "make woody great" NMU.
  * Only conflict with dlocate versions older than 0.5-0.1 (closes: #138265).
  * Don't remove & readd slocate group on every upgrade -- create it with
    addgroup unless already present when configuring, use delgroup instead
    of groupdel on removal (closes: #101253).
  * Usage of addgroup should also alleviate any problems with NIS and/or
    nscd so remove the conflict with nscd (closes: #101094, #101485,
    #80176).
  * Don't zilch out the database on every upgrade, just on removals.
  * Make the postinst less noisy, and don't print the information about
    building the first database if the database already exists (closes:
    #101063).
  * In cron.daily, do nothing if /usr/bin/slocate doesn't exist (typically
    if the package is in the conffiles stage). Closes: #132287.
  * Kill suid(un)register cruft, and depend on a dpkg with
    dpkg-statoverride.
  * Remove commented out, obsolete stuff from some scripts.
  * Clean up config.status as well (lintian).
  * Emacs local variables excised from this changelog.

 -- Robert Bihlmeyer <robbe@debian.org>  Sun, 17 Mar 2002 14:51:47 +0100

slocate (2.6-1.2) unstable; urgency=medium

  * Non-maintainer upload.


=== debian/control ===
Source: slocate
Section: utils
Priority: extra
Maintainer: Kevin Lindsay <klindsay@debian.org>
Standards-Version: 3.6.2.1
Build-Depends: debhelper (>= 5.0.7)

Package: slocate
Architecture: any
Depends: ${shlibs:Depends}, adduser, dpkg (>= 1.8.1)
Conflicts: dlocate (<< 0.5-0.1)
Suggests: anacron
Description: Secure replacement of findutil's locate
 This locate can index all files on your system, but only files and
 directories which the invoking user has access to will be displayed.
 .
 Note: If your computer is not up 24/7 you should consider installing anacron
 since the database is only updated once a night.

=== debian/rules ===
#!/usr/bin/make -f
# MAde with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	#$(MAKE) 
	#./configure
	make

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean
	# ya autoconf is great.
	rm -f slocate

	dh_clean
	rm -rf debian/tmp

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	#$(MAKE) install DESTDIR=`pwd`/debian/tmp
	install -m 0755 src/slocate `pwd`/debian/slocate/usr/bin 
	install -m 644 doc/slocate.1 `pwd`/debian/slocate/usr/share/man/man1/slocate.1
	gzip -9 `pwd`/debian/slocate/usr/share/man/man1/slocate.1
	install -m 644 doc/updatedb.1 `pwd`/debian/slocate/usr/share/man/man1/updatedb.1
	gzip -9 `pwd`/debian/slocate/usr/share/man/man1/updatedb.1

	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installmenu

	# make links
	dh_link
#	dh_installemacsen
#	dh_installinit
	dh_installcron
	#dh_installmanpages
#	dh_undocumented
	dh_installchangelogs Changelog
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
#	dh_makeshlibs
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
